Creates a User.
- When creating a user that conflicts with an existing unmanaged consumer account, the API response depends on your conflicting account management settings:
201 Created: Returned if no settings are configured, or the option is set to Replace their conflicting account with managed one.202 Accepted: Returned if the option is set to Automatically invite users.409 Conflict: Returned if the option is set to Preserve their conflicting account.
HTTP request
POST https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Users
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
Required. The customer ID. |
Request body
The request body contains an instance of User.
Response body
If successful, the response body contains a newly created instance of User.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/admin.directory.user
For more information, see the Authorization guide.